Installing esp-idf 4.0 RC Tools

NevynSelby
Posts: 25
Joined: Thu Dec 24, 2015 12:04 pm

Installing esp-idf 4.0 RC Tools

Postby NevynSelby » Tue Feb 11, 2020 12:29 pm

I am having some problems installing the IDF for the 4.0 RC on a Mac.

Environment information:
  • MacOS: 10.15.2
  • Python: 3.7.6
  • Python environment managed by pyenv
  • Branch checked out: 463a9d8b v4.0
I get the following output when I run the install.sh script:

Code: Select all

Installing ESP-IDF tools
Installing tools: xtensa-esp32-elf, esp32ulp-elf, openocd-esp32
Skipping xtensa-esp32-elf@esp-2019r2-8.2.0 (already installed)
Skipping esp32ulp-elf@2.28.51.20170517 (already installed)
Skipping openocd-esp32@v0.10.0-esp32-20190313 (already installed)
Installing Python environment and packages
Creating a new Python environment in /Users/username/esp/python_env/idf4.0_py3.7_env
usage: virtualenv [--version] [-v | -q] [--discovery {builtin}] [-p py] [--creator {builtin,cpython3-posix,venv}] [--seeder {app-data,pip}] [--no-seed] [--activators comma_separated_list] [--clear] [--system-site-packages]
                  [--symlinks | --copies] [--download | --no-download] [--extra-search-dir d [d ...]] [--pip version] [--setuptools version] [--wheel version] [--no-pip] [--no-setuptools] [--no-wheel] [--clear-app-data] [--prompt prompt]
                  [-h]
                  [dest]
virtualenv: error: unrecognized arguments: --no-site-packages
Traceback (most recent call last):
  File "/Users/markstevens/esp/esp-idf/tools/idf_tools.py", line 1372, in <module>
    main(sys.argv[1:])
  File "/Users/markstevens/esp/esp-idf/tools/idf_tools.py", line 1368, in main
    action_func(args)
  File "/Users/markstevens/esp/esp-idf/tools/idf_tools.py", line 1184, in action_install_python_env
    stdout=sys.stdout, stderr=sys.stderr)
  File "/Users/markstevens/.pyenv/versions/3.7.6/lib/python3.7/subprocess.py", line 363, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/Users/markstevens/.pyenv/versions/3.7.6/bin/python', '-m', 'virtualenv', '--no-site-packages', '/Users/markstevens/esp/python_env/idf4.0_py3.7_env']' returned non-zero exit status 2.
I have followed the advice in this post: viewtopic.php?t=12481#p49793 and no errors are reported. I then retried the install script and I receive the same error.

Any advice would be appreciated.

Regards,
Mark

ESP_igrr
Posts: 1592
Joined: Tue Dec 01, 2015 8:37 am

Re: Installing esp-idf 4.0 RC Tools

Postby ESP_igrr » Tue Feb 11, 2020 1:16 pm

Hi Mark,

The fix for this issue will be merged soon. As a workaround, you may downgrade virtualenv package from version 20.0 (released yesterday) to the previous version:

python -m pip install --upgrade virtualenv==16.7.9

Another option is to edit tools/idf_tools.py, removing '--no-site-packages' flag passed to virtualenv.

To get notified when the fix is merged, please subscribe to https://github.com/espressif/esp-idf/issues/4744.

NevynSelby
Posts: 25
Joined: Thu Dec 24, 2015 12:04 pm

Re: Installing esp-idf 4.0 RC Tools

Postby NevynSelby » Tue Feb 11, 2020 2:27 pm

Thank you for your quick response, I'll give your suggestions a go.

Regards,
Mark

Who is online

Users browsing this forum: Baidu [Spider], su-Koch and 20 guests